Packages with Absurd Dependencies

Jeffrey Katcher jmkatcher at yahoo.com
Thu Jul 1 07:42:18 PDT 2004


Why, for example, do the Mozilla packages force one to install Python?  And
when I went to forcibly delete it afterwards, it claimed that it was required
by libxml2, gtk-2.43, etc.  That's totally insane.  While I like package
convenience, it's this sort of thing that keeps me from using them except for
things like browsers that are a pain to build.  What's next?  Requiring me to
install (spit) Mono as a dependency for Nethack?

Jeff Katcher


More information about the freebsd-ports mailing list